# RecordingDisposition class

Holds point in time details of the recording disposition including the current duration and decibels.

Use the `dispositionStream` method to subscribe to a stream of `RecordingDisposition` will be emmmited while recording.

## Constructors

RecordingDisposition.new(Duration duration, double? decibels)
  ctor
RecordingDisposition.zero()
  use this ctor to as the initial value when building a `StreamBuilder`

## Properties

decibels → double?
  The volume of the audio being captured at this point in time. Value ranges from 0 to 120
  final
duration → Duration
  The total duration of the recording at this point in time.
  final
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  Return a String representation of the Disposition
  override

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited